%global drupaldir %{_datadir}/drupal7
%global alphabeta rc
%global prerelease 3

Name:    drupal7-features
Version: 1.0
Release: 0.7.%{alphabeta}%{prerelease}%{?dist}
Summary: Provides feature management for Drupal

Group: Applications/Publishing
License: GPLv2+
URL:     http://drupal.org/project/features
Source0: http://ftp.drupal.org/files/projects/features-7.x-%{version}-%{alphabeta}%{prerelease}.tar.gz
Source1: %{name}-fedora-README.txt
Source2: LICENSE.txt

BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:  drupal7

%description
The features module enables the capture
and management of features in Drupal.
A feature is a collection of Drupal entities
which taken together satisfy a certain use-case.

Features provides a UI and API for taking different site building components
from modules with exportables and
bundling them together in a single feature module.
A feature module is like any other Drupal module except
that it declares its components (e.g. views, contexts, CCK fields, etc.)
in its .info file so that it can be checked,
updated, or reverted programmatically.


%prep

%setup -qn features

install -p -m 0644 %{SOURCE1} .
install -p -m 0644 %{SOURCE2} .

%build

%install
rm -rf %{buildroot}
install -d %{buildroot}%{drupaldir}/modules/features
cp -pr * %{buildroot}%{drupaldir}/modules/features

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc CHANGELOG.txt LICENSE.txt README.txt %{name}-fedora-README.txt API.txt
%{drupaldir}/modules/features
%exclude %{drupaldir}/modules/features/CHANGELOG.txt
%exclude %{drupaldir}/modules/features/LICENSE.txt
%exclude %{drupaldir}/modules/features/%{name}-fedora-README.txt 
%exclude %{drupaldir}/modules/features/API.txt

%changelog
* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-0.7.rc3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sun Jun 17 2012 Peter Borsa <peter.borsa@gmail.com> - 1.0-0.6.rc3
- New upstream rc2 version

* Sat Apr 14 2012 Jared Smith <jsmith@fedoraproject.org> - 1.0-0.5.rc2
- New upstream rc2 version
- Leave the README.txt file in the module directory to avoid a Drupal warning

* Tue Mar 20 2012 Peter Borsa <peter.borsa@gmail.com> - 1.0-0.5.rc1
- New upstream version.

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-0.4.beta6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sat Jan  7 2012 Peter Borsa <peter.borsa@gmail.com> - 1.0-0.3.beta6
- New upstream version.

* Thu Dec 29 2011 Peter Borsa <peter.borsa@gmail.com> - 1.0-0.2.beta5
- New upstream version.

* Fri Sep 23 2011 Peter Borsa <peter.borsa@gmail.com> - 1.0-0.1.beta4
- Initial packaging


